RenewCertificateDetails

class oci.bds.models.RenewCertificateDetails(**kwargs)

Bases: object

The request body info about renew certificate service list.

Methods:

__init__(**kwargs)

Initializes a new RenewCertificateDetails object with values from keyword arguments.

Attributes:

cluster_admin_password

Gets the cluster_admin_password of this RenewCertificateDetails.

host_cert_details

Gets the host_cert_details of this RenewCertificateDetails.

root_certificate

Gets the root_certificate of this RenewCertificateDetails.

secret_id

Gets the secret_id of this RenewCertificateDetails.

server_key_password

Gets the server_key_password of this RenewCertificateDetails.

services

Gets the services of this RenewCertificateDetails.

__init__(**kwargs)

Initializes a new RenewCertificateDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • cluster_admin_password (str) – The value to assign to the cluster_admin_password property of this RenewCertificateDetails.

  • secret_id (str) – The value to assign to the secret_id property of this RenewCertificateDetails.

  • services (list[oci.bds.models.Service]) – The value to assign to the services property of this RenewCertificateDetails.

  • root_certificate (str) – The value to assign to the root_certificate property of this RenewCertificateDetails.

  • host_cert_details (list[oci.bds.models.HostCertDetails]) – The value to assign to the host_cert_details property of this RenewCertificateDetails.

  • server_key_password (str) – The value to assign to the server_key_password property of this RenewCertificateDetails.

property cluster_admin_password

Gets the cluster_admin_password of this RenewCertificateDetails. Base-64 encoded password for the cluster admin user.

Returns

The cluster_admin_password of this RenewCertificateDetails.

Return type

str

property host_cert_details

Gets the host_cert_details of this RenewCertificateDetails. List of leaf certificates to use for services on each host. If custom host certificate is provided the root certificate becomes required.

Returns

The host_cert_details of this RenewCertificateDetails.

Return type

list[oci.bds.models.HostCertDetails]

property root_certificate

Gets the root_certificate of this RenewCertificateDetails. Plain text certificate/s in order, separated by new line character. If not provided in request a self-signed root certificate is generated inside the cluster. In case hostCertDetails is provided, root certificate is mandatory.

Returns

The root_certificate of this RenewCertificateDetails.

Return type

str

property secret_id

Gets the secret_id of this RenewCertificateDetails. The secretId for the clusterAdminPassword.

Returns

The secret_id of this RenewCertificateDetails.

Return type

str

property server_key_password

Gets the server_key_password of this RenewCertificateDetails. Base-64 encoded password for CA certificate’s private key. This value can be empty.

Returns

The server_key_password of this RenewCertificateDetails.

Return type

str

property services

Gets the services of this RenewCertificateDetails. List of services for which certificate needs to be renewed. If no services provided renew will happen only for default services - AMBARI,RANGER,HUE,LIVY.

Returns

The services of this RenewCertificateDetails.

Return type

list[oci.bds.models.Service]